DRM_MODESET_LOCK_INT(9)

NAME
drm_modeset_lock_interruptible - take modeset lock

SYNOPSIS

int drm_modeset_lock_interruptible(struct drm_modeset_lock * lock, struct drm_modeset_acquire_ctx * ctx);

ARGUMENTS

lock
    lock to take

ctx
    acquire ctx

DESCRIPTION

Interruptible version of drm_modeset_lock

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT